Bug 33353 - [softpipe] piglit fbo-srgb looks incorrect
[softpipe] piglit fbo-srgb looks incorrect
Status: CLOSED FIXED
Product: Mesa
Classification: Unclassified
Component: Other
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: Brian Paul
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-21 14:10 UTC by Vinson Lee
Modified: 2011-01-25 07:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
fbo-srgb.softpipe.png (3.78 KB, image/png)
2011-01-21 14:10 UTC, Vinson Lee
Details
fbo-srgb.swrast.png (3.78 KB, image/png)
2011-01-21 14:10 UTC, Vinson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2011-01-21 14:10:23 UTC
Created attachment 42289 [details]
fbo-srgb.softpipe.png

mesa: 8af583f6e844ef2d173eb3c5c2e378cd1da018a8 (master)

The piglit fbo-srgb test passes on softpipe but looks different than from other drivers. On softpipe, three squares are displayed at (0, 0), (20, 0) and (30, 30). On NVIDIA, ATI, Apple, and swrast only the square at (20, 0) is drawn.
Comment 1 Vinson Lee 2011-01-21 14:10:50 UTC
Created attachment 42290 [details]
fbo-srgb.swrast.png
Comment 2 Vinson Lee 2011-01-21 14:58:03 UTC
piglit: f8acec9fca5723e87658c88c0f9bca499678c0aa (master)
Comment 3 Brian Paul 2011-01-22 17:35:37 UTC
Fixed with commit d2c44289b50ca6fd5a031d94696e3b4910d3f771

The other drivers were drawing the same squares but much dimmer and harder to see.

The test was passing with softpipe by luck.  If the test also probed the final color drawn to the window, it would have failed.
Comment 4 Vinson Lee 2011-01-25 07:10:10 UTC
mesa: 02d7d9ec363c7955105497c518296630cf2b638a (master)

Verified fixed. softpipe looks like swrast.